import React from 'react';
import ReactDOM from 'react-dom';

const width = 960;
const height = 500;

const centerX = width / 2;
const centerY = height / 2;
const strokeWidth = 5;
const strokeColor = "black";

const App = () => (
  <svg 
    width={width} 
    height={height} 
    viewBox={`0 0 ${400} ${height}`}
  >
    <g transform="translate(20,60)">
      <path 
        d="M200,0 0,360 50,360 117,240 283,240 350,360 400,360 200,0" 
        stroke={strokeColor}
        stroke-width={strokeWidth}
        fill="red"
      />
      <path 
        d="M200,90 138,200 261,200 200,90" 
        stroke={strokeColor}
        stroke-width={strokeWidth}
        fill="white"
      />
    </g>
  </svg>
);

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);